Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.mycarenet.esb.common.v2.chap4
Class CommonInputType

    java.lang.Object
      be.cin.mycarenet.esb.common.v2.chap4.CommonInputType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:14:33+02:00",
               comments="JAXB RI v2.3.6")
    public class CommonInputType

extends Object
implements Serializable

The "root"-type of the common input element.

Java class for CommonInputType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CommonInputType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Request" type="{urn:be:cin:mycarenet:esb:common:v2}RequestType"/>
             <element name="Origin" type="{urn:be:cin:mycarenet:esb:common:v2}OrigineType"/>
             <element name="InputReference" type="{urn:be:cin:mycarenet:esb:common:v2}StringReferenceType" minOccurs="0"/>
             <element name="NIPReference" type="{urn:be:cin:mycarenet:esb:common:v2}StringReferenceType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CommonInputType()`

Method Summary
`String` | `getInputReference()` Gets the value of the inputReference property.
`String` | `getNIPReference()` Gets the value of the nipReference property.
`OrigineType` | `getOrigin()` Gets the value of the origin property.
`RequestType` | `getRequest()` Gets the value of the request property.
`void` | `setInputReference(String value)` Sets the value of the inputReference property.
`void` | `setNIPReference(String value)` Sets the value of the nipReference property.
`void` | `setOrigin(OrigineType value)` Sets the value of the origin property.
`void` | `setRequest(RequestType value)` Sets the value of the request property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonInputType

    public CommonInputType()

Method Detail

### getRequest

    public RequestType getRequest()

  Gets the value of the request property.

  Returns:
    possible object is `RequestType`

### setRequest

    public void setRequest(RequestType value)

  Sets the value of the request property.

  Parameters:
    `value` - allowed object is `RequestType`

### getOrigin

    public OrigineType getOrigin()

  Gets the value of the origin property.

  Returns:
    possible object is `OrigineType`

### setOrigin

    public void setOrigin(OrigineType value)

  Sets the value of the origin property.

  Parameters:
    `value` - allowed object is `OrigineType`

### getInputReference

    public String getInputReference()

  Gets the value of the inputReference property.

  Returns:
    possible object is `String`

### setInputReference

    public void setInputReference(String value)

  Sets the value of the inputReference property.

  Parameters:
    `value` - allowed object is `String`

### getNIPReference

    public String getNIPReference()

  Gets the value of the nipReference property.

  Returns:
    possible object is `String`

### setNIPReference

    public void setNIPReference(String value)

  Sets the value of the nipReference property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.